# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # Pagination The Reporting API automatically supports pagination to limit responses to 500 records per page. To retrieve the next page, simply add `next` as a key in the header and input its value from the response. Pagination is used on the following endpoints: - GET /reports - GET /report-configs - GET /reporting-groups ## How it works - If lastPage = false, there is another page you can retrieve using the value of next in the header. - If lastPage = true and next = null, this is the last page in the response. The following is an example of a response that uses pagination where it is not the last page: ```json { "next": "1", /******RESPONSE BODY******/ "lastPage": "false" } ``` To retrieve the next page in the above example, add the following value to the `next` key in the header: `"next": "1"` The following is an example of a response that uses pagination where it is the last page: ```json { "next": null /******RESPONSE BODY******/ "lastPage": "true" } ``` ## Related [Manage report configurations](/docs/commerce/optimization-protection/capabilities/reporting/how-to/manage-report-configurations) [Retrieve reports](/docs/commerce/optimization-protection/capabilities/reporting/how-to/retrieve-reports) [Manage reporting groups](/docs/commerce/optimization-protection/capabilities/reporting/how-to/manage-reporting-groups)